<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div
  *ngIf="visible"
  class="fixed top-0 left-0 w-screen h-screen bg-black bg-opacity-40"
  [ngClass]="[closing ? 'fade-out' : 'fade-in']"
  style="z-index: 100"
  (click)="close($event)"
></div>
<div *ngIf="content" class="w-full">
  <ng-template [ngTemplateOutlet]="content"> </ng-template>
</div>
